Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ArgHandlerNoopDeprecatedFlag

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerNoopDeprecatedFlag

    public class ArgHandlerNoopDeprecatedFlag

extends ArgHandler

Argument handler for deprecated no-op flags.

Constructor Summary
`ArgHandlerNoopDeprecatedFlag(int numberOfArgumentsToConsume, java.lang.String... tags)`
`ArgHandlerNoopDeprecatedFlag(java.lang.String... tags)`

Method Summary
`java.lang.String` | `getPurpose()`
`java.lang.String` | `getTag()`
`java.lang.String[]` | `getTagArgs()` A list of words representing the arguments in help text.
`protected java.lang.String` | `getWarningMessage(java.lang.String tag)`
`int` | `handle(java.lang.String[] args, int startIndex)` Attempts to process one flag or "extra" command-line argument (that appears without a flag).
`boolean` | `isUndocumented()`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getDefaultArgs, getHelpTag, getTags, isExperimental, isRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerNoopDeprecatedFlag

    public ArgHandlerNoopDeprecatedFlag(int numberOfArgumentsToConsume,
                                        java.lang.String... tags)

### ArgHandlerNoopDeprecatedFlag

    public ArgHandlerNoopDeprecatedFlag(java.lang.String... tags)

Method Detail

### isUndocumented

    public boolean isUndocumented()

  Overrides:
    `isUndocumented` in class `ArgHandler`

### getPurpose

    public java.lang.String getPurpose()

  Specified by:
    `getPurpose` in class `ArgHandler`

### getTag

    public java.lang.String getTag()

  Specified by:
    `getTag` in class `ArgHandler`

### getTagArgs

    public java.lang.String[] getTagArgs()

  Description copied from class: `ArgHandler`
  A list of words representing the arguments in help text.

  Specified by:
    `getTagArgs` in class `ArgHandler`

### handle

    public int handle(java.lang.String[] args,
                      int startIndex)

  Description copied from class: `ArgHandler`
  Attempts to process one flag or "extra" command-line argument (that appears without a flag).

  Specified by:
    `handle` in class `ArgHandler`
  Parameters:
    `args` - the arguments passed in to main()
    `startIndex` - an index into args indicating the first argument to use. If this is a handler for a flag argument. Otherwise it's the index of the "extra" argument.
  Returns:
    the number of additional arguments consumed, not including the flag or extra argument. Alternately, returns -1 if the argument cannot be used. This will causes the program to abort and usage to be displayed.

### getWarningMessage

    protected java.lang.String getWarningMessage(java.lang.String tag)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD